## org.biojava.bio.seq.io
Class ChunkedSymbolListBuilder

    java.lang.Object
      org.biojava.bio.seq.io.ChunkedSymbolListBuilder

public class ChunkedSymbolListBuilder
extends java.lang.Object

Author:
  Thomas Down

Constructor Summary
`ChunkedSymbolListBuilder()`

Method Summary
`void` `addSymbols(Alphabet alpha, Symbol[] syms, int pos, int len)`
`SymbolList` `makeSymbolList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChunkedSymbolListBuilder

    public ChunkedSymbolListBuilder()

Method Detail

### addSymbols

    public void addSymbols(Alphabet alpha,
                           Symbol[] syms,
                           int pos,
                           int len)
                    throws IllegalAlphabetException

  Throws:
    `IllegalAlphabetException`

### makeSymbolList

    public SymbolList makeSymbolList()